Bug 52336 - xscreensaver-demo errors out when run
xscreensaver-demo errors out when run
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: xscreensaver (Show other bugs)
roswell
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-22 18:08 EDT by Steven Cook
Modified: 2014-03-16 22:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-22 19:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Cook 2001-08-22 18:08:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010801

Description of problem:
attempting to run xscreensaver as root generates errors and segmentation fault.
see steps/results fields for additional data

Version-Release number of selected component (if applicable):
3.33

How reproducible:
Always

Steps to Reproduce:
1. Install Roswell (7.1.94) - everything install.  Configure XFree86
correctly during install
2. Log in as root, run startx
3. open an xterm
4. execute:  xhost +localhost
5. execute:  xscreensaver-demo
	

Actual Results:  system responded with the following error message:

xscreensaver-demo:realpath:No such file or directory.
xscreensaver-demo:realpath:No such file or directory.
Segmentation Fault


Expected Results:  xscreensaver configuration interface is displayed,
screensaver can be configured, demonstrated, and run.

Additional info:

Tested on a Big Sur w/ BIOS 117A(RC8) & 117C(P9).  UP & DP configurations,
UP & MP kernels.  1 GB RAM, 18GB SCSI HDD, current boardset.

ATI Rage 128 and Matrox G450 graphics adapters both failed (only cards
available for test)
Comment 1 Alexei Podtelezhnikov 2001-08-22 18:43:03 EDT
xscreensaver man pages and its author's web site gives plenty of arguments why 
it's not recommended to run it as root from the point of view of security.
Comment 2 Steven Cook 2001-08-22 19:01:58 EDT
however, the test focus I have is for functionality, not security.  This error
is also reported by a user (non-root) trying to run xscreensaver-demo.

steps to reproduce:

log in as root.  
execute:

adduser foo
passwd foo
baz
baz

exit
log in as foo
startx
start an xterm
execute:
xscreensaver-demo

actual & expected results are as listed above.
Comment 3 Steven Cook 2001-08-22 19:17:35 EDT
This entry was logged against roswell2 (7.1.94 w/ kernel 2.4.7-2smp and
2.4.7-2), although it was also observed under roswell1.
Comment 4 Bill Nottingham 2001-08-23 12:46:19 EDT
Fixed in 3.33-4.
Comment 5 Steven Cook 2001-10-11 15:04:38 EDT
verified fix 11-Oct-2001.

Note You need to log in before you can comment on or make changes to this bug.